org.apache.lucene.facet

## Enum FacetsConfig.DrillDownTermsIndexing

- java.lang.Object
- - java.lang.Enum<FacetsConfig.DrillDownTermsIndexing>
  - - org.apache.lucene.facet.FacetsConfig.DrillDownTermsIndexing

- All Implemented Interfaces:
    Serializable, Comparable<FacetsConfig.DrillDownTermsIndexing>
  Enclosing class:
    FacetsConfig

      public static enum FacetsConfig.DrillDownTermsIndexing
      extends Enum<FacetsConfig.DrillDownTermsIndexing>

  Drill down terms indexing option to control whether dimension and sub-path terms should be indexed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Index dimension, sub-path and full-path drill down terms.
    `ALL_PATHS_NO_DIM` Index sub-path and full-path drill down terms.
    `DIMENSION_AND_FULL_PATH` Index dimension and full-path drill down terms.
    `FULL_PATH_ONLY` Index only full-path drill down terms.
    `NONE` Index no drill down terms.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FacetsConfig.DrillDownTermsIndexing` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FacetsConfig.DrillDownTermsIndexing[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final FacetsConfig.DrillDownTermsIndexing NONE

      Index no drill down terms. e.g. for FacetField("a", "foo/bar/baz"), we would index no drill down terms at all (not even full-path drill down term).

    - #### FULL_PATH_ONLY

          public static final FacetsConfig.DrillDownTermsIndexing FULL_PATH_ONLY

      Index only full-path drill down terms. No dimension nor sub-path indexing. e.g. for FacetField("a", "foo/bar/baz"), we would only index value "a/foo/bar/baz".

    - #### ALL_PATHS_NO_DIM

          public static final FacetsConfig.DrillDownTermsIndexing ALL_PATHS_NO_DIM

      Index sub-path and full-path drill down terms. No dimension indexing. e.g. for FacetField("a", "foo/bar/baz"), we would only index values "a/foo", "a/foo/bar", and "a/foo/bar/baz".

    - #### DIMENSION_AND_FULL_PATH

          public static final FacetsConfig.DrillDownTermsIndexing DIMENSION_AND_FULL_PATH

      Index dimension and full-path drill down terms. No sub-path indexing. e.g. for FacetField("a", "foo/bar/baz"), we would only index values "a" and "a/foo/bar/baz".

    - #### ALL

          public static final FacetsConfig.DrillDownTermsIndexing ALL

      Index dimension, sub-path and full-path drill down terms. e.g. for FacetField("a", "foo/bar/baz"), we would index all values "a", "a/foo", "a/foo/bar", and "a/foo/bar/baz". This is the default / existing behavior.

  - ### Method Detail

    - #### values

          public static FacetsConfig.DrillDownTermsIndexing[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FacetsConfig.DrillDownTermsIndexing c : FacetsConfig.DrillDownTermsIndexing.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FacetsConfig.DrillDownTermsIndexing valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.